@echo off
REM Simpsons DOOM2 by Steve Blauwkamp and Chuck Fuoco
REM     Auto-install, Auto-run batch file
if "%1"=="?" goto help
if "%1"=="install" goto install
goto run

:help
echo Usage:  simpsons -install
echo    to complete the simpsons graphics files correctly
echo Usage:  simpsons "doom2_arguments"
echo    to run doom using the simpsons sounds and graphics
echo    where "doom2_arguments" are your normal DOOM2 arguments(i.e. -respawn)
goto end

:run
REM NOTE: Uncomment the dehacked lines if you wish to use the dehacked
REM     patch included, for doom 2 v1.666.
REM dehacked -save simptemp.deh
REM dehacked -load simpsons.deh

REM edit the next line if you wish to use Doom I rather than Doom II
doom2 -file simp2spr.wad simp2gfx.wad simp2snd.wad %1 %2 %3 %4 %5

REM NOTE:  Uncomment the next two lines for the dehacked patch as well
REM dehacked -load simptemp.deh
REM del simptemp.deh
goto end

:install
echo Completing simp2spr.wad...
nwt -as simp2spr.wad
echo Simpsons DOOM 2 ready to go.
echo Just type "simpsons" to get her started.
:end
